import {
  HostHeaderInputConfig,
  HostHeaderResolvedConfig,
} from "@aws-sdk/middleware-host-header";
import {
  UserAgentInputConfig,
  UserAgentResolvedConfig,
} from "@aws-sdk/middleware-user-agent";
import {
  RegionInputConfig,
  RegionResolvedConfig,
} from "@smithy/config-resolver";
import {
  EndpointInputConfig,
  EndpointResolvedConfig,
} from "@smithy/middleware-endpoint";
import {
  RetryInputConfig,
  RetryResolvedConfig,
} from "@smithy/middleware-retry";
import { HttpHandlerUserInput as __HttpHandlerUserInput } from "@smithy/protocol-http";
import {
  Client as __Client,
  DefaultsMode as __DefaultsMode,
  SmithyConfiguration as __SmithyConfiguration,
  SmithyResolvedConfiguration as __SmithyResolvedConfiguration,
} from "@smithy/smithy-client";
import {
  AwsCredentialIdentityProvider,
  BodyLengthCalculator as __BodyLengthCalculator,
  CheckOptionalClientConfig as __CheckOptionalClientConfig,
  ChecksumConstructor as __ChecksumConstructor,
  Decoder as __Decoder,
  Encoder as __Encoder,
  HashConstructor as __HashConstructor,
  HttpHandlerOptions as __HttpHandlerOptions,
  Logger as __Logger,
  Provider as __Provider,
  Provider,
  StreamCollector as __StreamCollector,
  UrlParser as __UrlParser,
  UserAgent as __UserAgent,
} from "@smithy/types";
import {
  HttpAuthSchemeInputConfig,
  HttpAuthSchemeResolvedConfig,
} from "./auth/httpAuthSchemeProvider";
import {
  BatchCreateCustomVocabularyItemCommandInput,
  BatchCreateCustomVocabularyItemCommandOutput,
} from "./commands/BatchCreateCustomVocabularyItemCommand";
import {
  BatchDeleteCustomVocabularyItemCommandInput,
  BatchDeleteCustomVocabularyItemCommandOutput,
} from "./commands/BatchDeleteCustomVocabularyItemCommand";
import {
  BatchUpdateCustomVocabularyItemCommandInput,
  BatchUpdateCustomVocabularyItemCommandOutput,
} from "./commands/BatchUpdateCustomVocabularyItemCommand";
import {
  BuildBotLocaleCommandInput,
  BuildBotLocaleCommandOutput,
} from "./commands/BuildBotLocaleCommand";
import {
  CreateBotAliasCommandInput,
  CreateBotAliasCommandOutput,
} from "./commands/CreateBotAliasCommand";
import {
  CreateBotCommandInput,
  CreateBotCommandOutput,
} from "./commands/CreateBotCommand";
import {
  CreateBotLocaleCommandInput,
  CreateBotLocaleCommandOutput,
} from "./commands/CreateBotLocaleCommand";
import {
  CreateBotReplicaCommandInput,
  CreateBotReplicaCommandOutput,
} from "./commands/CreateBotReplicaCommand";
import {
  CreateBotVersionCommandInput,
  CreateBotVersionCommandOutput,
} from "./commands/CreateBotVersionCommand";
import {
  CreateExportCommandInput,
  CreateExportCommandOutput,
} from "./commands/CreateExportCommand";
import {
  CreateIntentCommandInput,
  CreateIntentCommandOutput,
} from "./commands/CreateIntentCommand";
import {
  CreateResourcePolicyCommandInput,
  CreateResourcePolicyCommandOutput,
} from "./commands/CreateResourcePolicyCommand";
import {
  CreateResourcePolicyStatementCommandInput,
  CreateResourcePolicyStatementCommandOutput,
} from "./commands/CreateResourcePolicyStatementCommand";
import {
  CreateSlotCommandInput,
  CreateSlotCommandOutput,
} from "./commands/CreateSlotCommand";
import {
  CreateSlotTypeCommandInput,
  CreateSlotTypeCommandOutput,
} from "./commands/CreateSlotTypeCommand";
import {
  CreateTestSetDiscrepancyReportCommandInput,
  CreateTestSetDiscrepancyReportCommandOutput,
} from "./commands/CreateTestSetDiscrepancyReportCommand";
import {
  CreateUploadUrlCommandInput,
  CreateUploadUrlCommandOutput,
} from "./commands/CreateUploadUrlCommand";
import {
  DeleteBotAliasCommandInput,
  DeleteBotAliasCommandOutput,
} from "./commands/DeleteBotAliasCommand";
import {
  DeleteBotCommandInput,
  DeleteBotCommandOutput,
} from "./commands/DeleteBotCommand";
import {
  DeleteBotLocaleCommandInput,
  DeleteBotLocaleCommandOutput,
} from "./commands/DeleteBotLocaleCommand";
import {
  DeleteBotReplicaCommandInput,
  DeleteBotReplicaCommandOutput,
} from "./commands/DeleteBotReplicaCommand";
import {
  DeleteBotVersionCommandInput,
  DeleteBotVersionCommandOutput,
} from "./commands/DeleteBotVersionCommand";
import {
  DeleteCustomVocabularyCommandInput,
  DeleteCustomVocabularyCommandOutput,
} from "./commands/DeleteCustomVocabularyCommand";
import {
  DeleteExportCommandInput,
  DeleteExportCommandOutput,
} from "./commands/DeleteExportCommand";
import {
  DeleteImportCommandInput,
  DeleteImportCommandOutput,
} from "./commands/DeleteImportCommand";
import {
  DeleteIntentCommandInput,
  DeleteIntentCommandOutput,
} from "./commands/DeleteIntentCommand";
import {
  DeleteResourcePolicyCommandInput,
  DeleteResourcePolicyCommandOutput,
} from "./commands/DeleteResourcePolicyCommand";
import {
  DeleteResourcePolicyStatementCommandInput,
  DeleteResourcePolicyStatementCommandOutput,
} from "./commands/DeleteResourcePolicyStatementCommand";
import {
  DeleteSlotCommandInput,
  DeleteSlotCommandOutput,
} from "./commands/DeleteSlotCommand";
import {
  DeleteSlotTypeCommandInput,
  DeleteSlotTypeCommandOutput,
} from "./commands/DeleteSlotTypeCommand";
import {
  DeleteTestSetCommandInput,
  DeleteTestSetCommandOutput,
} from "./commands/DeleteTestSetCommand";
import {
  DeleteUtterancesCommandInput,
  DeleteUtterancesCommandOutput,
} from "./commands/DeleteUtterancesCommand";
import {
  DescribeBotAliasCommandInput,
  DescribeBotAliasCommandOutput,
} from "./commands/DescribeBotAliasCommand";
import {
  DescribeBotCommandInput,
  DescribeBotCommandOutput,
} from "./commands/DescribeBotCommand";
import {
  DescribeBotLocaleCommandInput,
  DescribeBotLocaleCommandOutput,
} from "./commands/DescribeBotLocaleCommand";
import {
  DescribeBotRecommendationCommandInput,
  DescribeBotRecommendationCommandOutput,
} from "./commands/DescribeBotRecommendationCommand";
import {
  DescribeBotReplicaCommandInput,
  DescribeBotReplicaCommandOutput,
} from "./commands/DescribeBotReplicaCommand";
import {
  DescribeBotResourceGenerationCommandInput,
  DescribeBotResourceGenerationCommandOutput,
} from "./commands/DescribeBotResourceGenerationCommand";
import {
  DescribeBotVersionCommandInput,
  DescribeBotVersionCommandOutput,
} from "./commands/DescribeBotVersionCommand";
import {
  DescribeCustomVocabularyMetadataCommandInput,
  DescribeCustomVocabularyMetadataCommandOutput,
} from "./commands/DescribeCustomVocabularyMetadataCommand";
import {
  DescribeExportCommandInput,
  DescribeExportCommandOutput,
} from "./commands/DescribeExportCommand";
import {
  DescribeImportCommandInput,
  DescribeImportCommandOutput,
} from "./commands/DescribeImportCommand";
import {
  DescribeIntentCommandInput,
  DescribeIntentCommandOutput,
} from "./commands/DescribeIntentCommand";
import {
  DescribeResourcePolicyCommandInput,
  DescribeResourcePolicyCommandOutput,
} from "./commands/DescribeResourcePolicyCommand";
import {
  DescribeSlotCommandInput,
  DescribeSlotCommandOutput,
} from "./commands/DescribeSlotCommand";
import {
  DescribeSlotTypeCommandInput,
  DescribeSlotTypeCommandOutput,
} from "./commands/DescribeSlotTypeCommand";
import {
  DescribeTestExecutionCommandInput,
  DescribeTestExecutionCommandOutput,
} from "./commands/DescribeTestExecutionCommand";
import {
  DescribeTestSetCommandInput,
  DescribeTestSetCommandOutput,
} from "./commands/DescribeTestSetCommand";
import {
  DescribeTestSetDiscrepancyReportCommandInput,
  DescribeTestSetDiscrepancyReportCommandOutput,
} from "./commands/DescribeTestSetDiscrepancyReportCommand";
import {
  DescribeTestSetGenerationCommandInput,
  DescribeTestSetGenerationCommandOutput,
} from "./commands/DescribeTestSetGenerationCommand";
import {
  GenerateBotElementCommandInput,
  GenerateBotElementCommandOutput,
} from "./commands/GenerateBotElementCommand";
import {
  GetTestExecutionArtifactsUrlCommandInput,
  GetTestExecutionArtifactsUrlCommandOutput,
} from "./commands/GetTestExecutionArtifactsUrlCommand";
import {
  ListAggregatedUtterancesCommandInput,
  ListAggregatedUtterancesCommandOutput,
} from "./commands/ListAggregatedUtterancesCommand";
import {
  ListBotAliasesCommandInput,
  ListBotAliasesCommandOutput,
} from "./commands/ListBotAliasesCommand";
import {
  ListBotAliasReplicasCommandInput,
  ListBotAliasReplicasCommandOutput,
} from "./commands/ListBotAliasReplicasCommand";
import {
  ListBotLocalesCommandInput,
  ListBotLocalesCommandOutput,
} from "./commands/ListBotLocalesCommand";
import {
  ListBotRecommendationsCommandInput,
  ListBotRecommendationsCommandOutput,
} from "./commands/ListBotRecommendationsCommand";
import {
  ListBotReplicasCommandInput,
  ListBotReplicasCommandOutput,
} from "./commands/ListBotReplicasCommand";
import {
  ListBotResourceGenerationsCommandInput,
  ListBotResourceGenerationsCommandOutput,
} from "./commands/ListBotResourceGenerationsCommand";
import {
  ListBotsCommandInput,
  ListBotsCommandOutput,
} from "./commands/ListBotsCommand";
import {
  ListBotVersionReplicasCommandInput,
  ListBotVersionReplicasCommandOutput,
} from "./commands/ListBotVersionReplicasCommand";
import {
  ListBotVersionsCommandInput,
  ListBotVersionsCommandOutput,
} from "./commands/ListBotVersionsCommand";
import {
  ListBuiltInIntentsCommandInput,
  ListBuiltInIntentsCommandOutput,
} from "./commands/ListBuiltInIntentsCommand";
import {
  ListBuiltInSlotTypesCommandInput,
  ListBuiltInSlotTypesCommandOutput,
} from "./commands/ListBuiltInSlotTypesCommand";
import {
  ListCustomVocabularyItemsCommandInput,
  ListCustomVocabularyItemsCommandOutput,
} from "./commands/ListCustomVocabularyItemsCommand";
import {
  ListExportsCommandInput,
  ListExportsCommandOutput,
} from "./commands/ListExportsCommand";
import {
  ListImportsCommandInput,
  ListImportsCommandOutput,
} from "./commands/ListImportsCommand";
import {
  ListIntentMetricsCommandInput,
  ListIntentMetricsCommandOutput,
} from "./commands/ListIntentMetricsCommand";
import {
  ListIntentPathsCommandInput,
  ListIntentPathsCommandOutput,
} from "./commands/ListIntentPathsCommand";
import {
  ListIntentsCommandInput,
  ListIntentsCommandOutput,
} from "./commands/ListIntentsCommand";
import {
  ListIntentStageMetricsCommandInput,
  ListIntentStageMetricsCommandOutput,
} from "./commands/ListIntentStageMetricsCommand";
import {
  ListRecommendedIntentsCommandInput,
  ListRecommendedIntentsCommandOutput,
} from "./commands/ListRecommendedIntentsCommand";
import {
  ListSessionAnalyticsDataCommandInput,
  ListSessionAnalyticsDataCommandOutput,
} from "./commands/ListSessionAnalyticsDataCommand";
import {
  ListSessionMetricsCommandInput,
  ListSessionMetricsCommandOutput,
} from "./commands/ListSessionMetricsCommand";
import {
  ListSlotsCommandInput,
  ListSlotsCommandOutput,
} from "./commands/ListSlotsCommand";
import {
  ListSlotTypesCommandInput,
  ListSlotTypesCommandOutput,
} from "./commands/ListSlotTypesCommand";
import {
  ListTagsForResourceCommandInput,
  ListTagsForResourceCommandOutput,
} from "./commands/ListTagsForResourceCommand";
import {
  ListTestExecutionResultItemsCommandInput,
  ListTestExecutionResultItemsCommandOutput,
} from "./commands/ListTestExecutionResultItemsCommand";
import {
  ListTestExecutionsCommandInput,
  ListTestExecutionsCommandOutput,
} from "./commands/ListTestExecutionsCommand";
import {
  ListTestSetRecordsCommandInput,
  ListTestSetRecordsCommandOutput,
} from "./commands/ListTestSetRecordsCommand";
import {
  ListTestSetsCommandInput,
  ListTestSetsCommandOutput,
} from "./commands/ListTestSetsCommand";
import {
  ListUtteranceAnalyticsDataCommandInput,
  ListUtteranceAnalyticsDataCommandOutput,
} from "./commands/ListUtteranceAnalyticsDataCommand";
import {
  ListUtteranceMetricsCommandInput,
  ListUtteranceMetricsCommandOutput,
} from "./commands/ListUtteranceMetricsCommand";
import {
  SearchAssociatedTranscriptsCommandInput,
  SearchAssociatedTranscriptsCommandOutput,
} from "./commands/SearchAssociatedTranscriptsCommand";
import {
  StartBotRecommendationCommandInput,
  StartBotRecommendationCommandOutput,
} from "./commands/StartBotRecommendationCommand";
import {
  StartBotResourceGenerationCommandInput,
  StartBotResourceGenerationCommandOutput,
} from "./commands/StartBotResourceGenerationCommand";
import {
  StartImportCommandInput,
  StartImportCommandOutput,
} from "./commands/StartImportCommand";
import {
  StartTestExecutionCommandInput,
  StartTestExecutionCommandOutput,
} from "./commands/StartTestExecutionCommand";
import {
  StartTestSetGenerationCommandInput,
  StartTestSetGenerationCommandOutput,
} from "./commands/StartTestSetGenerationCommand";
import {
  StopBotRecommendationCommandInput,
  StopBotRecommendationCommandOutput,
} from "./commands/StopBotRecommendationCommand";
import {
  TagResourceCommandInput,
  TagResourceCommandOutput,
} from "./commands/TagResourceCommand";
import {
  UntagResourceCommandInput,
  UntagResourceCommandOutput,
} from "./commands/UntagResourceCommand";
import {
  UpdateBotAliasCommandInput,
  UpdateBotAliasCommandOutput,
} from "./commands/UpdateBotAliasCommand";
import {
  UpdateBotCommandInput,
  UpdateBotCommandOutput,
} from "./commands/UpdateBotCommand";
import {
  UpdateBotLocaleCommandInput,
  UpdateBotLocaleCommandOutput,
} from "./commands/UpdateBotLocaleCommand";
import {
  UpdateBotRecommendationCommandInput,
  UpdateBotRecommendationCommandOutput,
} from "./commands/UpdateBotRecommendationCommand";
import {
  UpdateExportCommandInput,
  UpdateExportCommandOutput,
} from "./commands/UpdateExportCommand";
import {
  UpdateIntentCommandInput,
  UpdateIntentCommandOutput,
} from "./commands/UpdateIntentCommand";
import {
  UpdateResourcePolicyCommandInput,
  UpdateResourcePolicyCommandOutput,
} from "./commands/UpdateResourcePolicyCommand";
import {
  UpdateSlotCommandInput,
  UpdateSlotCommandOutput,
} from "./commands/UpdateSlotCommand";
import {
  UpdateSlotTypeCommandInput,
  UpdateSlotTypeCommandOutput,
} from "./commands/UpdateSlotTypeCommand";
import {
  UpdateTestSetCommandInput,
  UpdateTestSetCommandOutput,
} from "./commands/UpdateTestSetCommand";
import {
  ClientInputEndpointParameters,
  ClientResolvedEndpointParameters,
  EndpointParameters,
} from "./endpoint/EndpointParameters";
import { RuntimeExtension, RuntimeExtensionsConfig } from "./runtimeExtensions";
export { __Client };
export type ServiceInputTypes =
  | BatchCreateCustomVocabularyItemCommandInput
  | BatchDeleteCustomVocabularyItemCommandInput
  | BatchUpdateCustomVocabularyItemCommandInput
  | BuildBotLocaleCommandInput
  | CreateBotAliasCommandInput
  | CreateBotCommandInput
  | CreateBotLocaleCommandInput
  | CreateBotReplicaCommandInput
  | CreateBotVersionCommandInput
  | CreateExportCommandInput
  | CreateIntentCommandInput
  | CreateResourcePolicyCommandInput
  | CreateResourcePolicyStatementCommandInput
  | CreateSlotCommandInput
  | CreateSlotTypeCommandInput
  | CreateTestSetDiscrepancyReportCommandInput
  | CreateUploadUrlCommandInput
  | DeleteBotAliasCommandInput
  | DeleteBotCommandInput
  | DeleteBotLocaleCommandInput
  | DeleteBotReplicaCommandInput
  | DeleteBotVersionCommandInput
  | DeleteCustomVocabularyCommandInput
  | DeleteExportCommandInput
  | DeleteImportCommandInput
  | DeleteIntentCommandInput
  | DeleteResourcePolicyCommandInput
  | DeleteResourcePolicyStatementCommandInput
  | DeleteSlotCommandInput
  | DeleteSlotTypeCommandInput
  | DeleteTestSetCommandInput
  | DeleteUtterancesCommandInput
  | DescribeBotAliasCommandInput
  | DescribeBotCommandInput
  | DescribeBotLocaleCommandInput
  | DescribeBotRecommendationCommandInput
  | DescribeBotReplicaCommandInput
  | DescribeBotResourceGenerationCommandInput
  | DescribeBotVersionCommandInput
  | DescribeCustomVocabularyMetadataCommandInput
  | DescribeExportCommandInput
  | DescribeImportCommandInput
  | DescribeIntentCommandInput
  | DescribeResourcePolicyCommandInput
  | DescribeSlotCommandInput
  | DescribeSlotTypeCommandInput
  | DescribeTestExecutionCommandInput
  | DescribeTestSetCommandInput
  | DescribeTestSetDiscrepancyReportCommandInput
  | DescribeTestSetGenerationCommandInput
  | GenerateBotElementCommandInput
  | GetTestExecutionArtifactsUrlCommandInput
  | ListAggregatedUtterancesCommandInput
  | ListBotAliasReplicasCommandInput
  | ListBotAliasesCommandInput
  | ListBotLocalesCommandInput
  | ListBotRecommendationsCommandInput
  | ListBotReplicasCommandInput
  | ListBotResourceGenerationsCommandInput
  | ListBotVersionReplicasCommandInput
  | ListBotVersionsCommandInput
  | ListBotsCommandInput
  | ListBuiltInIntentsCommandInput
  | ListBuiltInSlotTypesCommandInput
  | ListCustomVocabularyItemsCommandInput
  | ListExportsCommandInput
  | ListImportsCommandInput
  | ListIntentMetricsCommandInput
  | ListIntentPathsCommandInput
  | ListIntentStageMetricsCommandInput
  | ListIntentsCommandInput
  | ListRecommendedIntentsCommandInput
  | ListSessionAnalyticsDataCommandInput
  | ListSessionMetricsCommandInput
  | ListSlotTypesCommandInput
  | ListSlotsCommandInput
  | ListTagsForResourceCommandInput
  | ListTestExecutionResultItemsCommandInput
  | ListTestExecutionsCommandInput
  | ListTestSetRecordsCommandInput
  | ListTestSetsCommandInput
  | ListUtteranceAnalyticsDataCommandInput
  | ListUtteranceMetricsCommandInput
  | SearchAssociatedTranscriptsCommandInput
  | StartBotRecommendationCommandInput
  | StartBotResourceGenerationCommandInput
  | StartImportCommandInput
  | StartTestExecutionCommandInput
  | StartTestSetGenerationCommandInput
  | StopBotRecommendationCommandInput
  | TagResourceCommandInput
  | UntagResourceCommandInput
  | UpdateBotAliasCommandInput
  | UpdateBotCommandInput
  | UpdateBotLocaleCommandInput
  | UpdateBotRecommendationCommandInput
  | UpdateExportCommandInput
  | UpdateIntentCommandInput
  | UpdateResourcePolicyCommandInput
  | UpdateSlotCommandInput
  | UpdateSlotTypeCommandInput
  | UpdateTestSetCommandInput;
export type ServiceOutputTypes =
  | BatchCreateCustomVocabularyItemCommandOutput
  | BatchDeleteCustomVocabularyItemCommandOutput
  | BatchUpdateCustomVocabularyItemCommandOutput
  | BuildBotLocaleCommandOutput
  | CreateBotAliasCommandOutput
  | CreateBotCommandOutput
  | CreateBotLocaleCommandOutput
  | CreateBotReplicaCommandOutput
  | CreateBotVersionCommandOutput
  | CreateExportCommandOutput
  | CreateIntentCommandOutput
  | CreateResourcePolicyCommandOutput
  | CreateResourcePolicyStatementCommandOutput
  | CreateSlotCommandOutput
  | CreateSlotTypeCommandOutput
  | CreateTestSetDiscrepancyReportCommandOutput
  | CreateUploadUrlCommandOutput
  | DeleteBotAliasCommandOutput
  | DeleteBotCommandOutput
  | DeleteBotLocaleCommandOutput
  | DeleteBotReplicaCommandOutput
  | DeleteBotVersionCommandOutput
  | DeleteCustomVocabularyCommandOutput
  | DeleteExportCommandOutput
  | DeleteImportCommandOutput
  | DeleteIntentCommandOutput
  | DeleteResourcePolicyCommandOutput
  | DeleteResourcePolicyStatementCommandOutput
  | DeleteSlotCommandOutput
  | DeleteSlotTypeCommandOutput
  | DeleteTestSetCommandOutput
  | DeleteUtterancesCommandOutput
  | DescribeBotAliasCommandOutput
  | DescribeBotCommandOutput
  | DescribeBotLocaleCommandOutput
  | DescribeBotRecommendationCommandOutput
  | DescribeBotReplicaCommandOutput
  | DescribeBotResourceGenerationCommandOutput
  | DescribeBotVersionCommandOutput
  | DescribeCustomVocabularyMetadataCommandOutput
  | DescribeExportCommandOutput
  | DescribeImportCommandOutput
  | DescribeIntentCommandOutput
  | DescribeResourcePolicyCommandOutput
  | DescribeSlotCommandOutput
  | DescribeSlotTypeCommandOutput
  | DescribeTestExecutionCommandOutput
  | DescribeTestSetCommandOutput
  | DescribeTestSetDiscrepancyReportCommandOutput
  | DescribeTestSetGenerationCommandOutput
  | GenerateBotElementCommandOutput
  | GetTestExecutionArtifactsUrlCommandOutput
  | ListAggregatedUtterancesCommandOutput
  | ListBotAliasReplicasCommandOutput
  | ListBotAliasesCommandOutput
  | ListBotLocalesCommandOutput
  | ListBotRecommendationsCommandOutput
  | ListBotReplicasCommandOutput
  | ListBotResourceGenerationsCommandOutput
  | ListBotVersionReplicasCommandOutput
  | ListBotVersionsCommandOutput
  | ListBotsCommandOutput
  | ListBuiltInIntentsCommandOutput
  | ListBuiltInSlotTypesCommandOutput
  | ListCustomVocabularyItemsCommandOutput
  | ListExportsCommandOutput
  | ListImportsCommandOutput
  | ListIntentMetricsCommandOutput
  | ListIntentPathsCommandOutput
  | ListIntentStageMetricsCommandOutput
  | ListIntentsCommandOutput
  | ListRecommendedIntentsCommandOutput
  | ListSessionAnalyticsDataCommandOutput
  | ListSessionMetricsCommandOutput
  | ListSlotTypesCommandOutput
  | ListSlotsCommandOutput
  | ListTagsForResourceCommandOutput
  | ListTestExecutionResultItemsCommandOutput
  | ListTestExecutionsCommandOutput
  | ListTestSetRecordsCommandOutput
  | ListTestSetsCommandOutput
  | ListUtteranceAnalyticsDataCommandOutput
  | ListUtteranceMetricsCommandOutput
  | SearchAssociatedTranscriptsCommandOutput
  | StartBotRecommendationCommandOutput
  | StartBotResourceGenerationCommandOutput
  | StartImportCommandOutput
  | StartTestExecutionCommandOutput
  | StartTestSetGenerationCommandOutput
  | StopBotRecommendationCommandOutput
  | TagResourceCommandOutput
  | UntagResourceCommandOutput
  | UpdateBotAliasCommandOutput
  | UpdateBotCommandOutput
  | UpdateBotLocaleCommandOutput
  | UpdateBotRecommendationCommandOutput
  | UpdateExportCommandOutput
  | UpdateIntentCommandOutput
  | UpdateResourcePolicyCommandOutput
  | UpdateSlotCommandOutput
  | UpdateSlotTypeCommandOutput
  | UpdateTestSetCommandOutput;
export interface ClientDefaults
  extends Partial<__SmithyConfiguration<__HttpHandlerOptions>> {
  requestHandler?: __HttpHandlerUserInput;
  sha256?: __ChecksumConstructor | __HashConstructor;
  urlParser?: __UrlParser;
  bodyLengthChecker?: __BodyLengthCalculator;
  streamCollector?: __StreamCollector;
  base64Decoder?: __Decoder;
  base64Encoder?: __Encoder;
  utf8Decoder?: __Decoder;
  utf8Encoder?: __Encoder;
  runtime?: string;
  disableHostPrefix?: boolean;
  serviceId?: string;
  useDualstackEndpoint?: boolean | __Provider<boolean>;
  useFipsEndpoint?: boolean | __Provider<boolean>;
  region?: string | __Provider<string>;
  defaultUserAgentProvider?: Provider<__UserAgent>;
  credentialDefaultProvider?: (input: any) => AwsCredentialIdentityProvider;
  maxAttempts?: number | __Provider<number>;
  retryMode?: string | __Provider<string>;
  logger?: __Logger;
  extensions?: RuntimeExtension[];
  defaultsMode?: __DefaultsMode | __Provider<__DefaultsMode>;
}
export type LexModelsV2ClientConfigType = Partial<
  __SmithyConfiguration<__HttpHandlerOptions>
> &
  ClientDefaults &
  UserAgentInputConfig &
  RetryInputConfig &
  RegionInputConfig &
  HostHeaderInputConfig &
  EndpointInputConfig<EndpointParameters> &
  HttpAuthSchemeInputConfig &
  ClientInputEndpointParameters;
export interface LexModelsV2ClientConfig extends LexModelsV2ClientConfigType {}
export type LexModelsV2ClientResolvedConfigType =
  __SmithyResolvedConfiguration<__HttpHandlerOptions> &
    Required<ClientDefaults> &
    RuntimeExtensionsConfig &
    UserAgentResolvedConfig &
    RetryResolvedConfig &
    RegionResolvedConfig &
    HostHeaderResolvedConfig &
    EndpointResolvedConfig<EndpointParameters> &
    HttpAuthSchemeResolvedConfig &
    ClientResolvedEndpointParameters;
export interface LexModelsV2ClientResolvedConfig
  extends LexModelsV2ClientResolvedConfigType {}
export declare class LexModelsV2Client extends __Client<
  __HttpHandlerOptions,
  ServiceInputTypes,
  ServiceOutputTypes,
  LexModelsV2ClientResolvedConfig
> {
  readonly config: LexModelsV2ClientResolvedConfig;
  constructor(
    ...[configuration]: __CheckOptionalClientConfig<LexModelsV2ClientConfig>
  );
  destroy(): void;
}
